Bug 300483 - The behind mode for the brushes would be very convenient.
Summary: The behind mode for the brushes would be very convenient.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: 2.4
Platform: Debian unstable Linux
: NOR wishlist
Target Milestone: ---
Assignee: pentalis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 05:17 UTC by yustas
Modified: 2012-08-11 04:50 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yustas 2012-05-23 05:17:24 UTC

    
Comment 1 Halla Rempt 2012-05-23 06:56:19 UTC
You have to expand a bit on this. A bug report that consists of a single summary line gives us very little to work with.
Comment 2 yustas 2012-05-24 03:27:54 UTC
It's simple. It is when you paint with a brush in the alpha channel solely without any changing the previous brush strokes on the layer.
Comment 3 pentalis 2012-07-18 20:51:31 UTC
Relevant IRC conversation where the feature is defined:

<Pentalis> https://bugs.kde.org/show_bug.cgi?id=300483   is this bug still relevant?, or is there a mechanism to write solely to the alpha channel (other than erasing it with eraser mode)
<bugbot> KDE bug 300483 in krita (Brush engine) "The behind mode for the brushes would be very convenient." [Wishlist,Unconfirmed: ] 
<boud> Pentalis: I'm not too sure
<boud> Animtim has asked for something that sounded similar, but we didn't get to a decision
<Pentalis> I think the solution to that request is creating an "antieraser" mode
<Pentalis> Eraser mode lowers the value of the alpha channel, without touching anything else; antieraser increases the value of the alpha channel, without touching anything else
<Animtim> Pentalis: actually that's not what is asked in this request/bug:
<Animtim> he wants to paint only on empty space, it's like painting on a layer behind
<Animtim> (so the "behind mode" name…)
<Pentalis> Oh
<Pentalis> so even if the pixels have a very faint, 1% opaque color, it shouldn't paint on them?
<Animtim> not really… more like if a pixel is 50% opacity, paint only 50 max opacity on it
<Animtim> if pixel is 100% opacity, don't paint on it,
<Animtim> if pixel is 0% opacity, paint 100% max on it.
<Animtim> really like if you painted on a layer behind, then merge the layers after each stroke

I also assigned this one to myself
Comment 4 pentalis 2012-08-10 17:04:03 UTC
Git commit 0963b0a376d73970379ea1782f47b1343cda858b by José Luis Vergara.
Committed on 10/08/2012 at 19:00.
Pushed by jlvergara into branch 'master'.

Add the new Behind composite Op

M  +1    -0    libs/pigment/KoCompositeOpRegistry.cpp
M  +2    -1    libs/pigment/KoCompositeOpRegistry.h
A  +76   -0    libs/pigment/compositeops/KoCompositeOpBehind.h     [License: LGPL (v2+)]
M  +4    -1    libs/pigment/compositeops/KoCompositeOps.h

http://commits.kde.org/calligra/0963b0a376d73970379ea1782f47b1343cda858b
Comment 5 yustas 2012-08-11 04:46:13 UTC
It's cool!
Comment 6 yustas 2012-08-11 04:50:55 UTC
It  is very handy to draw rocks and leaves.